#!/bin/sh
#
# $FreeBSD: ports/mail/postfix-policyd-sf/files/policyd.sh.in,v 1.3 2006/02/20 20:47:13 dougb Exp $
#

# PROVIDE: postfix-policyd-sf
# REQUIRE: LOGIN
# BEFORE: mail
# KEYWORD: shutdown

#
# Add the following lines to /etc/rc.conf to enable policyd:
#
# postfix_policyd_sf_enable="YES"
#

. /etc/rc.subr

name=postfix_policyd_sf
rcvar=`set_rcvar`

command=/usr/local/sbin/postfix-policyd-sf

stop_postcmd=stop_postcmd

stop_postcmd()
{
  rm -f $pidfile
}

# set defaults

postfix_policyd_sf_enable=${postfix_policyd_sf_enable:-"NO"}
postfix_policyd_sf_pidfile=${postfix_policyd_sf_pidfile:-"/var/run/postfix-policyd-sf.pid"}
postfix_policyd_sf_flags=${postfix_policyd_sf_flags:-"-c /usr/local/etc/postfix-policyd-sf.conf"}

pidfile="${postfix_policyd_sf_pidfile}"

load_rc_config $name
run_rc_command "$1"
